Subject: Re: bug#2504: 23.0.90; new-frame => "no font backend available."

From: David Abrahams <[email-masked]>
Date: Sat, 28 Feb 2009 19:45:07 -0500

On Feb 28, 2009, at 5:12 PM, Stefan Monnier wrote:

>>> I think MacOS Emacs isn't very resilient to customizations for other
>>> platforms that should be ignored.  For example, my
>>>
>>> default-frame-alist
>>>
>>> is
>>>
>>> ((menu-bar-lines . 1) (font-backend . "xft") (font . "Bitstream  
>>> Vera Sans Mono-10.5") (tool-bar-lines . 0))
>>>
>>> But `M-x new-frame' causes emacs to report "no font backend  
>>> available"
>>> without opening a new window.
>>>
>
>> This is no different than setting (font-backend . "garbage") on any
>> platform. If you have platform specific settings in your .emacs  
>> which you
>> want to share between platforms, then you need to make them  
>> conditional.
>
> We could make it easier for the users by ignoring invalid font- 
> backends,
> so a single setting can work on all platforms.

Yes, that would be a start, and it's what I had in mind.  Conditional  
things don't mesh too well with using the customization interface.  If  
you are going to let people set up platform-specific things in  
customize, the first step would be to ignore them if they don't apply,  
and the next step would be to support platform-specific customizations  
directly, so I could use one font-backend on Linux and another on,  
say, MacOS.

Regards,

--
David Abrahams
BoostPro Computing
http://boostpro.com